OSRM-ROUTED(1)

NAME
osrm-routed - the OSRM routing service

SYNOPSIS
osrm FILE.osrm [OPTIONS]

DESCRIPTION
The Open Source Routing Machine (OSRM) is a high performance routing engine for finding shortest paths in road networks.

osrm-routed starts the router, it uses then config file given, defaulting to server.ini in the current directory. Note that on Debian, this command is executed by the init file, so for a standard setup, it should not be necessary to run it directly.

-v, --version
    show version

-h, --help
    show the help message

-c, --config
    path to a configuration file

CONFIGURATION FILE
Uses a key = value syntax. The table below gives the keys that can be used.
Threads | Number of threads OSRM will use (default 8)
IP | IP address that OSRM will use (default 0.0.0.0)
Port | Port that OSRM will use (default 5000)
hsgrData | OSRM Hierarchy (default suffix: osrm.hsgr)
nodesData | Node map (default suffix: osrm.nodes)
edgesData | Edge map (default suffix: osrm.edges)
ramIndex | Stage 1 index (default suffix: osrm.ramIndex)
fileIndex | Stage 2 index (default suffix: osrm.fileIndex)
namesData | Road names (default suffix: osrm.names)

FILES

/etc/osrm/server.ini
    The server configuration file used by the OSRM service

SEE ALSO
osrm(7), osrm-extract(1), osrm-prepare(1)